#include<iostream>
#include<cmath>
using namespace std;

int p, q, r;
unsigned long long L, R;
long long i; long long j;
bool *dp;
long long rez;

bool B(long long br){
	short int b = 0;
	if (br%p == 0) b++;
	if (br%q == 0) b++;
	if (br%r == 0) b++;
	if (b >1) return true; return false;
	
}

int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);
	cerr.tie(nullptr);
	
	cin >> p >> q >> r >> L >> R;
	if ((p+q+r) > 10){
		
		for (i = L; i <= R; i++) if (B(i)) rez++;
			else if ((ceil(i/float(p)) + ceil(i/float(q)) + ceil(i/float(r))) <= i) rez++;
				//for (j = i; j <= R; j += i)
	}
	else {
		cout << 0;
		return 0;
	} 
	cout << rez;
	return 0;
}